Skip to content

Get virtual account transactions​

GET
/v1/fiat/virtual-account/transactions

Retrieves the transaction history for a virtual account. A virtual account must already be onboarded, and the API key must have the LinkBankAccount permission.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

currency

Filter by fiat currency code (e.g., USD or EUR).

Type
string

Responses​

Virtual account transactions retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​